For the latest news and information visit The GNU Crypto project

## javax.crypto
Class ShortBufferException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.crypto.ShortBufferException

All Implemented Interfaces:
  java.io.Serializable

public class ShortBufferException
extends java.security.GeneralSecurityException

This exception is thrown when an output buffer provided by the user is too short to hold the operation result.

See Also:
  Serialized Form

Constructor Summary
`ShortBufferException()` Constructs a ShortBufferException with no detail message.
`ShortBufferException(java.lang.String msg)` Constructs a ShortBufferException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortBufferException

    public ShortBufferException()

  Constructs a ShortBufferException with no detail message. A detail message is a String that describes this particular exception.

### ShortBufferException

    public ShortBufferException(java.lang.String msg)

  Constructs a ShortBufferException with the specified detail message. A detail message is a String that describes this particular exception, which may, for example, specify which algorithm is not available.

Parameters:
  `msg` - the detail message.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.